Skip to main content
POST
/
v1
/
data
/
export-temp
Export Table Data
curl --request POST \
  --url https://api.example.com/v1/data/export-temp \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bucket": "my_bucket",
  "credentials": {
    "access_key": "accesskey",
    "secret_key": "secretkey"
  },
  "directory_path": "parquet/big.parquet",
  "format": "Parquet",
  "options": {
    "allow_http": true,
    "endpoint": "http://127.0.0.1:8080",
    "virtual_hosted_style": false
  },
  "storage_type": "S3"
}
'
{
  "code": 200,
  "data": {
    "elapsed_time": 1,
    "export_result": {
      "average_uncompressed_row_group_size": 10000,
      "file_path": "parquet/big.parquet",
      "num_row_groups": 10,
      "total_row_count": 100,
      "total_uncompressed_byte_size": 100000
    }
  },
  "exception": null,
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Include the token in the Authorization header as 'Bearer '

Body

application/json

The request body for exporting data. If you want to export data to a Cloud Storage, you need to provide the storage_type, bucket, credentials, and options.

export_paths
object
required

Export destination directory in paths (must contain exactly one directory). Keep using existing storage semantics via storage_config.

format
null | enum<string>
default:Parquet

File format to export. Currently only Parquet.

Available options:
Jsonl,
Parquet
include_metrics
boolean | null
default:false

Include detailed metrics such as peak memory in the response. Defaults to off.

max_row_groups_per_file
integer | null

Maximum number of row groups per part file for multi_file export. If set, this takes precedence over target_file_size_bytes.

Required range: x >= 0
mode
string | null
default:multi_file

Export mode. Defaults to multi_file.

Examples:

"multi_file"

"single_file"

row_group_size
integer | null
default:40000000

Row group size in bytes. Default is 40MB.

Required range: x >= 0
target_file_size_bytes
integer | null

Target parquet file size in bytes for multi_file export. Server may translate this to a row-group rollover threshold.

Required range: x >= 0

Response

Data successfully exported.

code
integer<int32>
required

HTTP status code.

Required range: x >= 0
success
boolean
required

Whether the request was successful.

data
object
exception
object